<?php
/**
 * Copyright © 2015 FiloBlu. All rights reserved.
 */

namespace FiloBlu\Flow\Model;

use Magento\Framework\Exception\InboundflowException;

/**
 * Inboundflowtab inboundflow model
 */
class Log
{

    protected $_logger;
    public function __construct(
        \Psr\Log\LoggerInterface $logger, //log injection
        array $data = []
    ) {
        $this->_logger = $logger;
    }
    public function log($message,$mode = 'error') {

        switch ($mode) {

            case 'error' : $this->_logger->addError($message);
            case 'debug' : $this->_logger->addDebug($message);

        }


    }

}