<?php

namespace FiloBlu\Bouncer\Block\Adminhtml\Channel\Renderer;

class Textjson extends \Magento\Framework\Data\Form\Element\AbstractElement
{
    protected $_element;

    public function getElementHtml()
    {

        if (!$this->getValue()) {
            $value = Mage::helper('bouncer')->getSkeleton();
        }

        else {
            $value = (json_decode($this->getValue())) ? $this->getValue() : Mage::helper('bouncer')->getSkeleton();
        }

        $value = json_decode($value);

        $value = json_encode($value, JSON_PRETTY_PRINT);



        $html = '

        <link rel="stylesheet" href="'.Mage::getBaseUrl('web').'js/bouncer/jsoneditor.css"/>
        <button class="scalable" data-ref="'.Mage::helper("adminhtml")->getUrl("*/*/upload").'" type="button" id="map_filer">Load File</button>
        <button class="scalable" type="button" id="expander">Expand all</button>
        <pre id="path"></pre>
        <table>
           <tr>
            <td><div id="editor" class="json-editor"></div></td>
            <td>
                 <p>Fields : </p>
                 <p>Filters : </p>
                 <p>Validators : </p>
                 <p>Special actions</p>
                 <p>Stores</p>
            </td>
           </tr>
        </table>


        <textarea id="'.$this->getHtmlId().'" name="'.$this->getName().'" style="width: 500px; height: 500px;"></textarea><br/>

        <script src="'.Mage::getBaseUrl('web').'js/bouncer/json2.js"></script>
        <script src="'.Mage::getBaseUrl('web').'js/bouncer/jquery.min.js"></script>
        <script src="'.Mage::getBaseUrl('web').'js/bouncer/jquery.jsoneditor.js"></script>

         <script>
             var json = '.$value.';
             jQuery.noConflict();
        </script>


        <script src="'.Mage::getBaseUrl('web').'js/bouncer/jsoneditor.js"></script>
       ';


        return $html;
    }

}